from models.GameObject import GameObject
from models.enums.EnumGameObjectDirection import EnumGameObjectDirection


class ControllerTank:

    @staticmethod
    def update(tank: GameObject, delta_time: float):
        if tank.animation_is_animating:
           if tank.direction == EnumGameObjectDirection.Up:
               tank.position[1] -= tank.movement_speed * delta_time
           elif tank.direction == EnumGameObjectDirection.Down:
                tank.position[1] += tank.movement_speed * delta_time
           elif tank.direction == EnumGameObjectDirection.Left:
                tank.position[0] -= tank.movement_speed * delta_time
           elif tank.direction == EnumGameObjectDirection.Right:
                tank.position[0] += tank.movement_speed * delta_time

    @staticmethod
    def set_direction(tank: GameObject, direction: EnumGameObjectDirection):
        if direction == EnumGameObjectDirection.NotSet:
            tank.animation_is_animating = False
        else:
            tank.animation_is_animating = True
            tank.direction = direction